<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimersCommon: X:/kmTimer1Defs.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmTimersCommon
   </div>
   <div id="projectbrief">kmTimersCommon library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_timer1_defs_8h_source.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">X:/kmTimer1Defs.h</div></div>
</div><!--header-->
<div class="contents">
<a href="km_timer1_defs_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/*</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">This is an independent project of an individual developer. Dear PVS-Studio, please check it.</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">PVS-Studio Static Code Analyzer for C, C++, C#, and Java: http://www.viva64.com</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">*/</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="preprocessor">#ifndef KM_TIMER_1_DEFS_H_</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="preprocessor">#define KM_TIMER_1_DEFS_H_</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="preprocessor">#ifdef KM_DOXYGEN</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="preprocessor">#define COM1C0</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="preprocessor">#define KM_CPU_AVR_LAYOUT_100</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="preprocessor">#endif </span><span class="comment">/* KM_DOXYGEN */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="preprocessor">#include &quot;../kmCommon/kmCommon.h&quot;</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="preprocessor">#include &quot;../kmCpu/kmCpuDefs.h&quot;</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="preprocessor">#include &quot;../kmTimersCommon/kmTimerDefs.h&quot;</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a510ee05b46dbb9661b7fca2a1a1ba7e3">   46</a></span><span class="preprocessor">#define KM_TIMER1_BOTTOM KM_TCC_BOTOM</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#ae96d6c771a6cc68aa6c5b9672a8e956b">   48</a></span><span class="preprocessor">#define KM_TIMER1_MAX KM_TCC_TOP_3</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span><span class="preprocessor">#define KM_TIMER1_TOP_8_BIT KM_TCC_TOP_1</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="preprocessor">#define KM_TIMER1_TOP_9_BIT KM_TCC_TOP_5</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="preprocessor">#define KM_TIMER1_TOP_10_BIT KM_TCC_TOP_4</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="preprocessor">#define KM_TIMER1_TOP_16_BIT KM_TCC_TOP_3</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#ae5b04873b9589d29fd1f25aa7db46098">   54</a></span><span class="preprocessor">#define KM_TIMER1_MID KM_TCC_MID_3</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="preprocessor">#ifdef TICIE1</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="preprocessor">#define ICIE1 TICIE1</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span><span class="preprocessor">#ifdef TIMSK</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="preprocessor">#define TIMSK1 TIMSK</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a44214fb13da0e3d912c88531b3e80fff">   66</a></span><span class="preprocessor">#define KM_TCC1_STOP        (KMC_ALL_BITS_CLEARED               )</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a4aaa68b47b0c7ed9bd466e83c8f3151c">   68</a></span><span class="preprocessor">#define KM_TCC1_PRSC_1      (                       _BV(CS10)   )</span></div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a50d8ce9dfb142c8b41e390b3809a5403">   70</a></span><span class="preprocessor">#define KM_TCC1_PRSC_8      (           _BV(CS11)               )</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a464d3dc71b0b777d9658646eb8923c25">   72</a></span><span class="preprocessor">#define KM_TCC1_PRSC_64 (               _BV(CS11) | _BV(CS10)   )</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a04c8ef8d0306e859001e9642c13da27a">   74</a></span><span class="preprocessor">#define KM_TCC1_PRSC_256    (_BV(CS12)                          )</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a718c4297873e6aceeba9883668c90c5a">   76</a></span><span class="preprocessor">#define KM_TCC1_PRSC_1024   (_BV(CS12) |            _BV(CS10)   )</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#af518a50f18b7909241c51ab24e1f0912">   78</a></span><span class="preprocessor">#define KM_TCC1_EXT_T1_FAL  (_BV(CS12) |_BV(CS11)               )</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a36eacdddc8bfb35707ebbb38de1c33ff">   80</a></span><span class="preprocessor">#define KM_TCC1_EXT_T1_RIS  (_BV(CS12) |_BV(CS11) | _BV(CS10)   )</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a8928cfe14909a5b4db44ccdb5b6aedd1">   82</a></span><span class="preprocessor">#define KM_TCC1_CS_MASK     KM_TCC1_EXT_T1_RIS</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span> </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a88bedf208a17b958f91e9b680ad348bf">   85</a></span><span class="preprocessor">#define KM_TCC1_MODE_0_A    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#ab0c7987036fc4a43c5027658720f322c">   87</a></span><span class="preprocessor">#define KM_TCC1_MODE_0_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a5d38543712a64ef702f0719e69d7ab27">   89</a></span><span class="preprocessor">#define KM_TCC1_MODE_1_A    (                                               _BV(WGM10)  )</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a8852ef58a5636f68547fedec11d1b789">   91</a></span><span class="preprocessor">#define KM_TCC1_MODE_1_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a983c6776ac026b7f51741dd85f88bed5">   93</a></span><span class="preprocessor">#define KM_TCC1_MODE_2_A    (                               _BV(WGM11)                  )</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a2b57782963ba9d3d0ef7445e0a41db5a">   95</a></span><span class="preprocessor">#define KM_TCC1_MODE_2_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a17358bf0acd5c23e745aa0fbef6c3bbd">   97</a></span><span class="preprocessor">#define KM_TCC1_MODE_3_A    (                               _BV(WGM11) |    _BV(WGM10)  )</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#aa8d1fe36bf98935ac0ac5a347a707386">   99</a></span><span class="preprocessor">#define KM_TCC1_MODE_3_B    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a882441b9067793da60df0b2ef7e57503">  101</a></span><span class="preprocessor">#define KM_TCC1_MODE_4_A    (KMC_ALL_BITS_CLEARED                                       )</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#ab2510c753bef3bf99f3d7853bca6e369">  103</a></span><span class="preprocessor">#define KM_TCC1_MODE_4_B    (               _BV(WGM12)                                  )</span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#ac6cde65b87c78f357e8b20a58c25e37b">  105</a></span><span class="preprocessor">#define KM_TCC1_MODE_5_A    (                                               _BV(WGM10)  )</span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a43fbc9b39b32b0fe628063b351efc1f2">  107</a></span><span class="preprocessor">#define KM_TCC1_MODE_5_B    (               _BV(WGM12)                                  )</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#afc2bbd9bb496f5ae6618e431496c5857">  109</a></span><span class="preprocessor">#define KM_TCC1_MODE_6_A    (                               _BV(WGM11)                  )</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a276b99c82d55e55f86b2ec667ada5ce0">  111</a></span><span class="preprocessor">#define KM_TCC1_MODE_6_B    (               _BV(WGM12)                                  )</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#ad79f57321878c4454d32f212fbd94d2c">  113</a></span><span class="preprocessor">#define KM_TCC1_MODE_7_A    (                               _BV(WGM11) |    _BV(WGM10)  )</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#abf39fd5fe69f07188e1f645ff43cb98d">  115</a></span><span class="preprocessor">#define KM_TCC1_MODE_7_B    (               _BV(WGM12)                                  )</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a78887c1b77d7a0cf85e2128d3b7a6ef9">  117</a></span><span class="preprocessor">#define KM_TCC1_MODE_8_A    (KMC_ALL_BITS_CLEARED                                   )</span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a9346b64a69de41ee794ea755b5e2fb20">  119</a></span><span class="preprocessor">#define KM_TCC1_MODE_8_B    (_BV(WGM13)                                                 )</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a7353fa629a0b5918876df5d64d8842fa">  121</a></span><span class="preprocessor">#define KM_TCC1_MODE_9_A    (                                               _BV(WGM10)  )</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#ae9dc809945a9938ee03abde81cf6a2c6">  123</a></span><span class="preprocessor">#define KM_TCC1_MODE_9_B    (_BV(WGM13)                                                 )</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a3d39946f1191d13bd3b4898abe142776">  125</a></span><span class="preprocessor">#define KM_TCC1_MODE_A_A    (                               _BV(WGM11)                  )</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#aa8c676d00e8a1b488901ed30f8023459">  127</a></span><span class="preprocessor">#define KM_TCC1_MODE_A_B    (_BV(WGM13)                                                 )</span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#afb632132c8458aeec3acf033291efe6c">  129</a></span><span class="preprocessor">#define KM_TCC1_MODE_B_A    (                               _BV(WGM11) |    _BV(WGM10)  )</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#aa61a1b49ee8535ebad216bb46fec0a44">  131</a></span><span class="preprocessor">#define KM_TCC1_MODE_B_B    (_BV(WGM13)                                                 )</span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a2849edb9befcf055dfb3b9b5be73eec2">  133</a></span><span class="preprocessor">#define KM_TCC1_MODE_C_A    (KMC_ALL_BITS_CLEARED                                   )</span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#afe1952df701637aa767cc7495978c2f9">  135</a></span><span class="preprocessor">#define KM_TCC1_MODE_C_B    (_BV(WGM13) |   _BV(WGM12)                                  )</span></div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a4a2709fd30f575259bcf44532a34b41f">  137</a></span><span class="preprocessor">#define KM_TCC1_MODE_D_A    (                                               _BV(WGM10)  )</span></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#abe1e1e3e74f5b7d7d81e407370a27dcf">  139</a></span><span class="preprocessor">#define KM_TCC1_MODE_D_B    (_BV(WGM13) |   _BV(WGM12)                                  )</span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a70004b2369ed29c7c9714462915cc5f3">  141</a></span><span class="preprocessor">#define KM_TCC1_MODE_E_A    (                               _BV(WGM11)                  )</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a95a78562fb6bc4d952b9439ccc8fed49">  143</a></span><span class="preprocessor">#define KM_TCC1_MODE_E_B    (_BV(WGM13) |   _BV(WGM12)                                  )</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a635c4c945fb0d387fddae85e8946f60a">  145</a></span><span class="preprocessor">#define KM_TCC1_MODE_F_A    (                               _BV(WGM11) |    _BV(WGM10)  )</span></div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#ac0490dc048113273a2d41eda896495fc">  147</a></span><span class="preprocessor">#define KM_TCC1_MODE_F_B    (_BV(WGM13) |   _BV(WGM12)                                  )</span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#aee31ab8733bdb2299ae1662ea4761f8c">  149</a></span><span class="preprocessor">#define KM_TCC1_MODE_MASK_A KM_TCC1_MODE_F_A</span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a497e3258e79c5b53934d9544272e511b">  151</a></span><span class="preprocessor">#define KM_TCC1_MODE_MASK_B KM_TCC1_MODE_F_B</span></div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span> </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a90f44b29a4fce459b95f40b0b1717372">  154</a></span><span class="preprocessor">#define KM_TCC1_A_COMP_OUT_NONE     (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#acf9af951247ec0e6ed66f039eddb2372">  156</a></span><span class="preprocessor">#define KM_TCC1_A_COMP_OUT_TOGGLE   (               _BV(COM1A0) )</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a7a6bf7a49b01d616d92d09be680b8496">  158</a></span><span class="preprocessor">#define KM_TCC1_A_COMP_OUT_CLEAR    (_BV(COM1A1)                )</span></div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a46b1a84f787b8d53ed9be353244f3ca0">  160</a></span><span class="preprocessor">#define KM_TCC1_A_COMP_OUT_SET      (_BV(COM1A1) |  _BV(COM1A0) )</span></div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span><span class="preprocessor">#define KM_TCC1_COMP_A_MASK         KM_TCC1_A_COMP_OUT_SET</span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a3038b817a0d9192511194cc958e8d373">  164</a></span><span class="preprocessor">#define KM_TCC1_B_COMP_OUT_NONE     (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a810cd6eef5e42d318454b0e15b290c1c">  166</a></span><span class="preprocessor">#define KM_TCC1_B_COMP_OUT_TOGGLE   (               _BV(COM1B0) )</span></div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a58c3a760a8cd37a42f1d1fb66267dd6a">  168</a></span><span class="preprocessor">#define KM_TCC1_B_COMP_OUT_CLEAR    (_BV(COM1B1)                )</span></div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a84e4f021acdba89b9f54e456e6d3231b">  170</a></span><span class="preprocessor">#define KM_TCC1_B_COMP_OUT_SET      (_BV(COM1B1) |  _BV(COM1B0) )</span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span><span class="preprocessor">#define KM_TCC1_COMP_B_MASK         KM_TCC1_B_COMP_OUT_SET</span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span> </div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a0b07dd97329a1ccb7c6888452a40c00d">  174</a></span><span class="preprocessor">#define KM_TCC1_C_COMP_OUT_NONE     (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#ad278fcc18b1e2a94a7ab2a249c6ecb30">  176</a></span><span class="preprocessor">#define KM_TCC1_C_COMP_OUT_TOGGLE   (               _BV(COM1C0) )</span></div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#ac740c4de26f6176c98124a37bfd13682">  178</a></span><span class="preprocessor">#define KM_TCC1_C_COMP_OUT_CLEAR    (_BV(COM1C1)                )</span></div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a4d03c918d6e874374eac32873cf56b98">  180</a></span><span class="preprocessor">#define KM_TCC1_C_COMP_OUT_SET      (_BV(COM1C1) |  _BV(COM1C0) )</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span><span class="preprocessor">#define KM_TCC1_COMP_C_MASK         KM_TCC1_C_COMP_OUT_SET</span></div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span> </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#aa5af51dd22277a03fe0fc8950a8b742a">  184</a></span><span class="preprocessor">#define KM_TCC1_A_PWM_COMP_OUT_NORMAL               (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#aac76e6b404df5ee01ea496cfbd1272ce">  188</a></span><span class="preprocessor">#define KM_TCC1_A_PWM_COMP_OUT_TOGGLE               (               _BV(COM1A0) )</span></div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a6e71b2ecc3fd440f5a53d34d536ad38d">  192</a></span><span class="preprocessor">#define KM_TCC1_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN    (_BV(COM1A1)                )</span></div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a98d4eabb558a59375db5950a14e77af4">  196</a></span><span class="preprocessor">#define KM_TCC1_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN    (_BV(COM1A1) |  _BV(COM1A0) )</span></div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span> </div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a6b67a9c455cf7391d488d800a86f570c">  199</a></span><span class="preprocessor">#define KM_TCC1_B_PWM_COMP_OUT_NORMAL               (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a22d50ad596b4ed63e8495d01d333e676">  203</a></span><span class="preprocessor">#define KM_TCC1_B_PWM_COMP_OUT_TOGGLE               (               _BV(COM1B0) )</span></div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#adfe5a85bb57e9c6a5ec39a9f04abdc87">  207</a></span><span class="preprocessor">#define KM_TCC1_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN    (_BV(COM1B1)                )</span></div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a2762194fbcfff5a6b84bc97584d40408">  211</a></span><span class="preprocessor">#define KM_TCC1_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN    (_BV(COM1B1) |  _BV(COM1B0) )</span></div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span> </div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span><span class="preprocessor">#ifdef COM1C0</span></div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a81f0855a8c5afceb418841ff5a5b0010">  215</a></span><span class="preprocessor">#define KM_TCC1_C_PWM_COMP_OUT_NORMAL               (KMC_ALL_BITS_CLEARED       )</span></div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a4db77f9ec5d04f74656c500315eda00c">  219</a></span><span class="preprocessor">#define KM_TCC1_C_PWM_COMP_OUT_TOGGLE               (               _BV(COM1C0) )</span></div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a26590feb2b1eeeda3402584be6eb6756">  223</a></span><span class="preprocessor">#define KM_TCC1_C_PWM_COMP_OUT_CLEAR_UP_SET_DOWN    (_BV(COM1C1)                )</span></div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a7bd12d8cc15c22abc716e2afa3851e77">  227</a></span><span class="preprocessor">#define KM_TCC1_C_PWM_COMP_OUT_SET_UP_CLEAR_DOWN    (_BV(COM1C1) |  _BV(COM1C0) )</span></div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span><span class="preprocessor">#endif </span><span class="comment">/* COM1C0 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span> </div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span><span class="preprocessor">#define KM_TCC1_INT_MASK_REG TIMSK1</span></div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span> </div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span><span class="preprocessor">#if defined(KM_CPU_AVR_LAYOUT_28) </span><span class="comment">// ATmega8/16/328</span></div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>#define KM_TCC1_PWM_DDR DDRB</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span><span class="preprocessor">#define KM_TCC1_PWM_PORT PORTB</span></div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span><span class="preprocessor">#define KM_TCC1_PWM_PIN_A PB1</span></div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span><span class="preprocessor">#define KM_TCC1_PWM_PIN_B PB2</span></div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span> </div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span><span class="preprocessor">#define KM_TCC1_ICP1_PIN PB0</span></div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span><span class="preprocessor">#define KM_TCC1_ICP1_PORT_DDR DDRB</span></div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span><span class="preprocessor">#define KM_TCC1_ICP1_PORT_OUTPUT PORTB</span></div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span><span class="preprocessor">#define KM_TCC1_ICP1_PORT_INPUT PINB</span></div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span> </div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span><span class="preprocessor">#define KM_TCC1_T1_PIN PD5</span></div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span> </div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span><span class="preprocessor">#if defined(KM_CPU_AVR_LAYOUT_40) </span><span class="comment">// ATmega32/644/1284</span></div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>#define KM_TCC1_PWM_DDR DDRD</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span><span class="preprocessor">#define KM_TCC1_PWM_PORT PORTD</span></div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span><span class="preprocessor">#define KM_TCC1_PWM_PIN_A PD5</span></div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span><span class="preprocessor">#define KM_TCC1_PWM_PIN_B PD4</span></div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span> </div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span><span class="preprocessor">#define KM_TCC1_ICP1_PIN PD6</span></div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span><span class="preprocessor">#define KM_TCC1_ICP1_PORT_DDR DDRD</span></div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span><span class="preprocessor">#define KM_TCC1_ICP1_PORT_OUTPUT PORTD</span></div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span><span class="preprocessor">#define KM_TCC1_ICP1_PORT_INPUT PIND</span></div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span> </div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span><span class="preprocessor">#define KM_TCC1_T1_PIN PB1</span></div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span> </div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span><span class="preprocessor">#ifdef KM_CPU_AVR_LAYOUT_100</span></div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#ac2120ae7b950c537e137aca7d15c6ec7">  280</a></span><span class="preprocessor">#define KM_TCC1_PWM_DDR DDRB</span></div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a8f0efe20fa1f2d643d8c70d69791e1c1">  282</a></span><span class="preprocessor">#define KM_TCC1_PWM_PORT PORTB</span></div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a43917ffbf086f5c3863544054863b56e">  284</a></span><span class="preprocessor">#define KM_TCC1_PWM_PIN_A PB5</span></div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#ae22f13f18849b303d6f4ff0829bd4cf9">  286</a></span><span class="preprocessor">#define KM_TCC1_PWM_PIN_B PB6</span></div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a6947d89228f3b60ed3bac4a1c014299d">  288</a></span><span class="preprocessor">#define KM_TCC1_PWM_PIN_C PB7</span></div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span> </div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#ae2ed0e3291c68f49f5b2ffb56193c6de">  291</a></span><span class="preprocessor">#define KM_TCC1_ICP1_PIN PD4</span></div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#ac587ccd8ff65d34830e7ef4b0682c536">  293</a></span><span class="preprocessor">#define KM_TCC1_ICP1_PORT_DDR DDRD</span></div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a03d8670f36e4cfa00e55bb0fe03dddb0">  295</a></span><span class="preprocessor">#define KM_TCC1_ICP1_PORT_OUTPUT PORTD</span></div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a889cdf6f8d4e9a505031129e2b8aed7e">  297</a></span><span class="preprocessor">#define KM_TCC1_ICP1_PORT_INPUT PIND</span></div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span> </div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a4d5b4fe59b95e3eb6549f8113a0cc72f">  300</a></span><span class="preprocessor">#define KM_TCC1_T1_PIN PE6</span></div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span><span class="preprocessor">#endif </span><span class="comment">/* KM_CPU_AVR_LAYOUT_100 */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span> </div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#ae1c9c9c79f482f0c02773691bb01aecb">  304</a></span><span class="preprocessor">#define KM_TCC1_PWM_BV_A    _BV(KM_TCC1_PWM_PIN_A)</span></div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a690d13693e97be436327fc37c58c1ce1">  306</a></span><span class="preprocessor">#define KM_TCC1_PWM_BV_B    _BV(KM_TCC1_PWM_PIN_B)</span></div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno"><a class="line" href="km_timer1_defs_8h.html#a03dec66c545875dfe7d2e1364abe5d07">  308</a></span><span class="preprocessor">#define KM_TCC1_PWM_BV_C    _BV(KM_TCC1_PWM_PIN_C)</span></div>
<div class="line"><a id="l00309" name="l00309"></a><span class="lineno">  309</span> </div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno">  310</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span>}</div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span> </div>
<div class="line"><a id="l00314" name="l00314"></a><span class="lineno">  314</span><span class="preprocessor">#endif </span><span class="comment">/* KM_TIMER_1_DEFS_H_ */</span><span class="preprocessor"></span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer1_defs_8h.html">kmTimer1Defs.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
